Fuel Reports
The Fuel Report object
idstringoptionalPublic fuel report identifier.
reporterobjectoptionalUser who reported the fuel purchase, when loaded.
vehicleobjectoptionalVehicle associated with the fuel report, when loaded.
driverobjectoptionalDriver associated with the fuel report, when loaded.
odometernumberoptionalOdometer reading at the time of the report.
amountcurrencyoptionalMonetary amount for the fuel purchase.
currencycurrencyoptionalThree-letter currency code.
volumenumberoptionalFuel volume.
metric_unitstringoptionalUnit for the fuel volume.
typestringoptionalFuel report type.
statusstringoptionalFuel report status.
locationobjectoptionalLocation where fuel was reported.
updated_attimestampoptionalTimestamp when the fuel report was last updated.
created_attimestampoptionalTimestamp when the fuel report was created.
{
"id": "fuel_report_4Mnp8Qx2Vz",
"vehicle": null,
"driver": null,
"odometer": 10042,
"amount": 6500,
"currency": "USD",
"volume": 42.5,
"metric_unit": "liters",
"type": null,
"status": "created",
"location": {
"latitude": 1.3521,
"longitude": 103.8198
},
"updated_at": "2026-05-07T08:30:00.000000Z",
"created_at": "2026-05-07T08:30:00.000000Z"
}/v1/fuel-reportsCreate a Fuel Report
Create a Fuel Report
driverstringrequiredDriver ID reporting the fuel purchase.
odometernumberrequiredVehicle odometer reading at the time of the report.
volumenumberrequiredFuel volume purchased or reported.
metric_unitstringoptionalUnit used for the fuel volume.
locationobjectoptionalLocation where the fuel was purchased or reported.
amountcurrencyoptionalMonetary amount for the fuel purchase.
/v1/fuel-reportscurl -X POST https://api.fleetbase.io/v1/fuel-reports \
-H "Authorization: Bearer flb_live_…" \
-H "Content-Type: application/json" \
-d '{
"driver": "{{driver_id}}",
"odometer": 12042,
"volume": 42.5,
"metric_unit": "liter",
"location": {
"latitude": 1.3521,
"longitude": 103.8198
},
"amount": 120.5,
"currency": "USD",
"status": "submitted"
}'/v1/fuel-reportsQuery Fuel Reports
Query Fuel Reports
limitintegeroptionalMaximum number of fuel reports to return.
offsetintegeroptionalNumber of fuel reports to skip before returning results.
sortstringoptionalSort expression for the fuel report query.
driverstringoptionalFilters fuel reports by driver ID.
vehiclestringoptionalFilters fuel reports by vehicle ID.
/v1/fuel-reportscurl https://api.fleetbase.io/v1/fuel-reports?limit=25&offset=0&sort=created_at \
-H "Authorization: Bearer flb_live_…"/v1/fuel-reports/:idRetrieve a Fuel Report
Retrieve a Fuel Report
/v1/fuel-reports/:idcurl https://api.fleetbase.io/v1/fuel-reports/:id \
-H "Authorization: Bearer flb_live_…"/v1/fuel-reports/:idUpdate a Fuel Report
Update a Fuel Report
driverstringoptionalDriver ID reporting the fuel purchase.
odometernumberoptionalVehicle odometer reading at the time of the report.
volumenumberoptionalFuel volume purchased or reported.
metric_unitstringoptionalUnit used for the fuel volume.
locationobjectoptionalLocation where the fuel was purchased or reported.
amountcurrencyoptionalMonetary amount for the fuel purchase.
/v1/fuel-reports/:idcurl -X PUT https://api.fleetbase.io/v1/fuel-reports/:id \
-H "Authorization: Bearer flb_live_…" \
-H "Content-Type: application/json" \
-d '{
"odometer": 12050,
"volume": 43.1,
"metric_unit": "liter",
"amount": 122.75,
"currency": "USD",
"status": "approved"
}'/v1/fuel-reports/:idDelete a Fuel Report
Delete a Fuel Report
/v1/fuel-reports/:idcurl -X DELETE https://api.fleetbase.io/v1/fuel-reports/:id \
-H "Authorization: Bearer flb_live_…"